[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'InterfaceBase' (#lcl)

# TWidgetSet.EnterCriticalSection

Enters a critical section.

## Declaration

Source position: winapih.inc line 90

`public procedure TWidgetSet.EnterCriticalSection(`
`var CritSection: TCriticalSection`
`); virtual;`

## Arguments

`CritSection` |  | The critical section object.

## Description

The call returns only when the calling thread has obtained ownership of the critical section. See TryEnterCriticalSection for testing the ownership of the critical section.

## See also

TWidgetSet.InitializeCriticalSection |  | Initializes a Critical Section object.